%define anolis_release 3

Name:           libteam
Version:        1.31
Release:        %{anolis_release}%{?dist}
Summary:        Library for controlling team network device

License:        LGPLv2+
URL:            http://www.libteam.org
Source0:        http://www.libteam.org/files/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  jansson-devel
BuildRequires:  libdaemon-devel
BuildRequires:  libnl3-devel
BuildRequires:  dbus-devel
BuildRequires:  systemd
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  make

%description
This package contains a library which is a user-space
counterpart for team network driver. It provides an API
to control team network devices.

%package devel
Summary: Libraries and header files for libteam development
Requires: %{name} = %{version}-%{release}

%description devel
The libteam-devel package contains the header files and libraries
necessary for developing programs using libteam.

%package doc
Summary: API documentation for libteam and libteamd
Requires: %{name} = %{version}-%{release}

%description doc
This package contains libteam and libteamd API documentation

%package -n teamd
Summary: Team network device control daemon
Requires: %{name} = %{version}-%{release}

%description -n teamd
The teamd package contains team network device control daemon.

%package -n teamd-devel
Summary: Libraries and header files for teamd development
Requires: %{name} = %{version}-%{release}

%description -n teamd-devel
The teamd-devel package contains the header files and libraries
necessary for developing programs using libteamdctl.

%package -n network-scripts-teamd
Summary: teamd legacy network service support
Requires: network-scripts
Supplements: (%{name} and network-scripts)

%description -n network-scripts-teamd
This provides the ifup and ifdown scripts for use with the legacy network
service.

%prep
%setup -q

# prepare example dir for -devel
mkdir -p _tmpdoc1/examples
rm examples/python/*.py
cp -p examples/*.c _tmpdoc1/examples

%build
%configure --disable-static
%{make_build}
make html

%install
%{make_install}
find %{buildroot} -name '*.la' -delete -print
rm -rf %{buildroot}/%{_bindir}/team_*
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -p teamd/dbus/teamd.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/
mkdir -p %{buildroot}%{_unitdir}
install -p teamd/redhat/systemd/teamd@.service %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
for script in if{up,down}-Team{,Port} ; do
  install -p -m 755 teamd/redhat/initscripts_systemd/network-scripts/$script \
    %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
done
install -p -m 755 utils/bond2team %{buildroot}%{_bindir}/bond2team

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libteam.so.*
%{_bindir}/teamnl
%{_mandir}/man8/teamnl.8*
%{abidir}/libteam*.dump
%exclude %{abidir}/libteamdctl*.dump
%{abidir}/teamnl-option.list

%files devel
%doc _tmpdoc1/examples
%{_includedir}/team.h
%{_libdir}/libteam.so
%{_libdir}/pkgconfig/libteam.pc

%files doc
%doc doc/api

%files -n teamd
%doc teamd/example_configs teamd/redhat/example_ifcfgs/
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/dbus-1/system.d/teamd.conf
%config(noreplace) %attr(644,root,root) %{_unitdir}/teamd@.service
%{_libdir}/libteamdctl.so.*
%{_bindir}/teamd
%{_bindir}/teamdctl
%{_bindir}/bond2team
%{_mandir}/man8/teamd.8*
%{_mandir}/man8/teamdctl.8*
%{_mandir}/man5/teamd.conf.5*
%{_mandir}/man1/bond2team.1*
%{abidir}/libteamdctl*.dump
%{abidir}/teamd*-option.list
%{abidir}/bond2team-option.list

%files -n teamd-devel
%{_includedir}/teamdctl.h
%{_libdir}/libteamdctl.so
%{_libdir}/pkgconfig/libteamdctl.pc

%files -n network-scripts-teamd
%{_sysconfdir}/sysconfig/network-scripts/ifup-Team
%{_sysconfdir}/sysconfig/network-scripts/ifdown-Team
%{_sysconfdir}/sysconfig/network-scripts/ifup-TeamPort
%{_sysconfdir}/sysconfig/network-scripts/ifdown-TeamPort

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.31-3
- Rebuild for remove inappropriate build dependencies.

* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.31-2
- optimise spec file

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.31-1
- Initial packaging for Anolis 23
